MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001877VCMIMechanics - Town structurespublic2014-08-19 19:382016-04-07 13:41
ReporterPovelitel 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.96 
Target VersionFixed in Version0.98e 
Summary0001877: ally in the cities can not buy your hero
Descriptionfree city, trying to buy, but nothing happens
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0002063closedSXX Alliances: it's not currently possible to recruit heroes in ally town tovern 

-  Notes
(0004944)
Warmonger (administrator)
2014-09-02 09:52

I have no idea what this report is all about. Who owns the city, who buys the hero and which hero it is? When does the bug occur (tavern screen, AI turn or else)?
(0004945)
Ivan (developer)
2014-09-02 09:56

I think that in VCMI you can't buy hero in town of your ally. In H3 this is possible.

Not sure if this is something we should fix since this opens a way to such tactics like blocking towns of your allies with newly recruited hero.

So it *may* be a good idea to consider this to be a bug in H3 (not blocked action in allied town) and keep current behavior.
(0004947)
Povelitel (updater)
2014-09-02 17:26

This game mechanic.
Many people do so by the way, buy your hero with an ally, and gather its resources. And in offline tournaments is not uncommon that a computer ally can not make a single move.
It is not ethical to computer, but that's life: D
(0004975)
Ivan (developer)
2014-09-23 16:35

Marking as acknowledged/suspended until there will be clear decision on what to do with - consider it to be a bug or implement as H3?
(0004979)
Povelitel (updater)
2014-09-23 16:49

I believe it is necessary to implement as in H3. Imagine the situation of people 4 players who play 2 on 2. Redeem your hero in an ally it is quite a strategic move.
(0005563)
SXX (administrator)
2015-02-22 07:18

I think we clearly should implement this. There is tons of ways you can grief the game if you want to and in case somebody don't like that possibility it's can be toggable.

Though personally usually play with people I know so for me it's not problem at all.
(0005900)
SXX (administrator)
2015-10-03 19:54

Rough fix there:
https://github.com/ArseniyShestakov/vcmi/commit/5387113bca81b91d99316334cd01a3f43f2718c0 [^]
Probably need to rewrite all of that code to make it easier to debug.

Any opinions on what should be done?
(0005948)
SXX (administrator)
2015-10-15 01:07

So tested it all around and committed fix to develop:
https://github.com/vcmi/vcmi/commit/0d83f6feddaff342f9b826030e3c7d2e53bd2187 [^]

- Issue History
Date Modified Username Field Change
2014-08-19 19:38 Povelitel New Issue
2014-09-02 09:52 Warmonger Note Added: 0004944
2014-09-02 09:56 Ivan Note Added: 0004945
2014-09-02 12:31 Warmonger Category Mechanics - Other => Mechanics - Town structures
2014-09-02 17:26 Povelitel Note Added: 0004947
2014-09-23 16:34 Ivan Status new => acknowledged
2014-09-23 16:35 Ivan Note Added: 0004975
2014-09-23 16:35 Ivan Resolution open => suspended
2014-09-23 16:49 Povelitel Note Added: 0004979
2015-02-22 07:15 SXX Relationship added has duplicate 0002063
2015-02-22 07:18 SXX Note Added: 0005563
2015-10-03 19:54 SXX Note Added: 0005900
2015-10-14 23:53 SXX Assigned To => SXX
2015-10-14 23:53 SXX Status acknowledged => assigned
2015-10-15 01:07 SXX Note Added: 0005948
2015-10-15 01:07 SXX Status assigned => resolved
2015-10-15 01:07 SXX Fixed in Version => 0.98e
2015-10-15 01:07 SXX Resolution suspended => fixed
2016-04-07 13:41 Povelitel Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean